[Lunar-commits] <lunar> [FIX] #450: lvu functions leafs, orphans and size should now ignore exiled modules
Stefan Wold
ratler at lunar-linux.org
Fri Feb 25 14:43:50 CET 2011
commit efc7b63d9f059fa732f80e81772d7d150a72ced2
Author: Stefan Wold <ratler at lunar-linux.org>
Date: Fri Feb 25 14:43:50 2011 +0100
[FIX] #450: lvu functions leafs, orphans and size should now ignore exiled modules
---
bin/lvu | 12 +++++-------
1 files changed, 5 insertions(+), 7 deletions(-)
diff --git a/bin/lvu b/bin/lvu
index ee70f67..bda8a9d 100755
--- a/bin/lvu
+++ b/bin/lvu
@@ -403,18 +403,16 @@ voyeur() {
show_leafs() {
- for MODULE in $(cat $MODULE_STATUS | cut -d : -f1) ; do
- if ! cut -d : -f2- $DEPENDS_STATUS |
- grep "^$MODULE:" |
- grep -q ":on:"
- then echo $MODULE
+ for MODULE in $(list_installed) ; do
+ if ! cut -d : -f2- $DEPENDS_STATUS | grep "^$MODULE:" | grep -q ":on:"; then
+ echo $MODULE
fi
done
}
show_orphans() {
- for MODULE in $(grep :installed: $MODULE_STATUS | cut -d: -f1 | sort | uniq) ; do
+ for MODULE in $(list_installed) ; do
debug_msg "checking \"$MODULE\""
for LINE in $(grep "^${MODULE}:" $DEPENDS_STATUS) ; do
DEPENDS=$(echo $LINE | cut -d: -f2)
@@ -1322,7 +1320,7 @@ main() {
size)
if [ -z "$2" ] ; then
- MODULES=$(cat $MODULE_STATUS | cut -d: -f1 | sort)
+ MODULES=$(list_installed)
for MODULE in $MODULES ; do
echo $MODULE $(find_module_size $MODULE)
done
More information about the Lunar-commits
mailing list